# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetComponentAttribute

Function

Returns a named attribute of a specified component of a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXGetComponentAttribute(Field f, char *name, char *attribute)

Functional Details

The routine first retrieves the component `name` from Field `f`. If the component exists, the attribute specified by the string `attribute` associated with that component is returned.

Return Value

Returns the Object associated with `attribute` of component `name` or returns `NULL` without setting an error code (unless `f` is not a Field).

See Also

`DXGetAttribute, DXGetComponentValue, DXGetEnumeratedComponentAttribute, DXGetFloatAttribute, DXGetIntegerAttribute, DXSetComponentAttribute`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]